commit:     3de12ebb4d4249e6de20920f3c8600209a2151d6
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon Feb  5 06:38:30 2018 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Feb  5 06:38:30 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3de12ebb

dev-ruby/tzinfo: add 1.2.5

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 dev-ruby/tzinfo/Manifest            |  1 +
 dev-ruby/tzinfo/tzinfo-1.2.5.ebuild | 32 ++++++++++++++++++++++++++++++++
 2 files changed, 33 insertions(+)

diff --git a/dev-ruby/tzinfo/Manifest b/dev-ruby/tzinfo/Manifest
index 40e38391ee6..03b302f0f14 100644
--- a/dev-ruby/tzinfo/Manifest
+++ b/dev-ruby/tzinfo/Manifest
@@ -1,2 +1,3 @@
 DIST tzinfo-0.3.53.gem 301056 BLAKE2B 
bc1c2da47f1acb1931ef578f757f1ce1d574ddb113f2967171e7f530781431ac11e47c2d02edeb5bf378b817f5e08fa1fde3e3bd36309c0887c45bcd271bc36a
 SHA512 
f5a0119c04852845f1e4c8db36a2a374f2886ee5a14eee74ecacf19bc60bdf3e65197ee2ad1fe4fee56ac882b2e7cf17dcb4fef593767675e1fdb3da33b31b24
 DIST tzinfo-1.2.4.gem 152576 BLAKE2B 
c6815fc7277153c5e00ea2359845df25affab5a08f9274729254662e056de702613f4b8ca5b4f2ddcd756d86ae12e534a4e2a5a4661f361ef1d59cb3d7f07bfa
 SHA512 
0b983aa6b4fdbb3c49329bb51394f1edbeb6f4d216d108448aa9dce751dbc2e348d58032cb41df78a3d249611770e9e345a4d0041597ceadf052b863c3e6d1ab
+DIST tzinfo-1.2.5.gem 153600 BLAKE2B 
3df5625c61eabf94bb457381ac7d0cdebd5b55da3bb043fe58063cccccb623b502e026a71faef4f7d7efe75eae2fdfd0bf3e0b97a3763fec9a1018f0c6c2ae0f
 SHA512 
87f7cd66d6e80d51d216cb993cc76fe7758db03ffd39dde96eb24a9d208699766a8dbff048485fb732ce125ee9f971e38ed9ee1197f3ee3fc3ee8a8da840dd45

diff --git a/dev-ruby/tzinfo/tzinfo-1.2.5.ebuild 
b/dev-ruby/tzinfo/tzinfo-1.2.5.ebuild
new file mode 100644
index 00000000000..4a90162b8bc
--- /dev/null
+++ b/dev-ruby/tzinfo/tzinfo-1.2.5.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby22 ruby23 ruby24"
+
+RUBY_FAKEGEM_TASK_TEST="test_zoneinfo"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="CHANGES.md README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Daylight-savings aware timezone library"
+HOMEPAGE="https://tzinfo.github.io/";
+
+LICENSE="MIT"
+SLOT="1"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux 
~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris 
~x86-solaris"
+IUSE=""
+
+RDEPEND="sys-libs/timezone-data"
+DEPEND="test? ( sys-libs/timezone-data )"
+
+ruby_add_rdepend ">=dev-ruby/thread_safe-0.1:0"
+ruby_add_bdepend "test? ( dev-ruby/minitest:5 )"
+
+all_ruby_prepare() {
+       # Set the secure permissions that tests expect.
+       chmod 0755 "${HOME}" || die "Failed to fix permissions on home"
+}

Reply via email to